@echo off

setlocal

rem set environment

set BRIDGESERVER_BIN=C:\MagicDraw\plugins\ch.e2e.builder.plugin.magicdraw\bin\runtime\win\bin
set INSTANCES_HOME=C:\E2E Documentation\Education\.$bin
set INSTANCE_HOME=C:\E2E Documentation\Education\.$bin\lesson3.EducationLesson3.EducationLesson3
set CONSOLE_HOME=C:\MagicDraw\plugins\ch.e2e.builder.plugin.magicdraw\bin\runtime\win\bin
set PATH=%PATH%;C:\MagicDraw\jre\bin;C:\MagicDraw\jre\bin\dtplugin;C:\MagicDraw\jre\bin\plugin2;C:\MagicDraw\jre\bin\server

cd /D "%INSTANCE_HOME%"
rem debug
echo ========================================================================
cd
echo.
echo PATH             = %PATH%
echo.
echo BRIDGESERVER_BIN = %BRIDGESERVER_BIN%
echo INSTANCES_HOME   = %INSTANCES_HOME%
echo INSTANCE_HOME    = %INSTANCE_HOME%
echo ========================================================================

rem start server
"%BRIDGESERVER_BIN%\bridgeserver.exe" repository "%INSTANCE_HOME%\repository\tabfiles"

endlocal
